summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBen Kohler <bkohler@gentoo.org>2018-10-19 14:33:37 -0500
committerBen Kohler <bkohler@gentoo.org>2018-10-19 14:34:05 -0500
commita67b870585cadd14642d29240026f9ee4b47f6f7 (patch)
treec3385d9967dce0a4b4364aefeb323e6ba6590f5f /app-cdr
parentkde-apps/kmail: Fix main/status toolbar option persistence (diff)
downloadgentoo-a67b870585cadd14642d29240026f9ee4b47f6f7.tar.gz
gentoo-a67b870585cadd14642d29240026f9ee4b47f6f7.tar.bz2
gentoo-a67b870585cadd14642d29240026f9ee4b47f6f7.zip
app-cdr/dumpet: snapshot bump & update homepage
Signed-off-by: Ben Kohler <bkohler@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
Diffstat (limited to 'app-cdr')
-rw-r--r--app-cdr/dumpet/Manifest1
-rw-r--r--app-cdr/dumpet/dumpet-2.1.ebuild4
-rw-r--r--app-cdr/dumpet/dumpet-2.1_p20140601.ebuild38
3 files changed, 41 insertions, 2 deletions
diff --git a/app-cdr/dumpet/Manifest b/app-cdr/dumpet/Manifest
index cf224a43166..67e7263a5c7 100644
--- a/app-cdr/dumpet/Manifest
+++ b/app-cdr/dumpet/Manifest
@@ -1 +1,2 @@
DIST dumpet-2.1-15.fc27.src.rpm 25268 BLAKE2B ae80875f08211a825bbc357e4051bf6fcd26d2726b9fc477b61593155080fb460ea3cb6b7c5af519a740436313fa588cfffda7afdba41179a620702693e82ff2 SHA512 bf4b7f2de48590f5ff71ec17a05e331def234a1e57e7e06254c00eb60e44ae8c712e33515e01c6f5fe0bcecbea6e596e4e452ad192823b81dfb7de781d0d4e55
+DIST dumpet-2.1_p20140601.tar.gz 20140 BLAKE2B def3e7948096e2543bf24324b17c3b3123b867e750971858cb403732efde6c217fcf1c04955a0dd4ed2f99fdaedecab1becdcc1027645e7a955ed1addf11daa1 SHA512 161911ae136aa81abff5a591593acf421a4101e3f80cb259c5b2190581d5cbd06641eefe4c873d40d1b2adabedb2e42ef7fdd0a6e39ec98e1927550ae8960eda
diff --git a/app-cdr/dumpet/dumpet-2.1.ebuild b/app-cdr/dumpet/dumpet-2.1.ebuild
index 145917d4da4..965a359ba23 100644
--- a/app-cdr/dumpet/dumpet-2.1.ebuild
+++ b/app-cdr/dumpet/dumpet-2.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -6,7 +6,7 @@ EAPI=6
inherit rpm
DESCRIPTION="A tool to dump and debug bootable CD-like images"
-HOMEPAGE="https://fedora.pkgs.org/rawhide/fedora-x86_64/dumpet-2.1-15.fc27.x86_64.rpm.html"
+HOMEPAGE="https://github.com/rhboot/dumpet"
SRC_URI="http://dl.fedoraproject.org/pub/fedora/linux/releases/27/Everything/source/tree/Packages/d/dumpet-${PV}-15.fc27.src.rpm"
LICENSE="GPL-2"
diff --git a/app-cdr/dumpet/dumpet-2.1_p20140601.ebuild b/app-cdr/dumpet/dumpet-2.1_p20140601.ebuild
new file mode 100644
index 00000000000..67f47a6c5a8
--- /dev/null
+++ b/app-cdr/dumpet/dumpet-2.1_p20140601.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit rpm vcs-snapshot
+
+COMMIT="8f47670dd582c96ad1b6dd3c9b9da0acebded5d8"
+
+DESCRIPTION="A tool to dump and debug bootable CD-like images"
+HOMEPAGE="https://github.com/rhboot/dumpet"
+SRC_URI="https://github.com/rhboot/dumpet/archive/${COMMIT}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="dev-libs/libxml2
+ dev-libs/popt"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+src_prepare() {
+ sed -i Makefile \
+ -e "s/^CFLAGS:/#CFLAGS:/" \
+ -e "s/^install : all$/install :/" \
+ || die
+ default
+}
+
+src_compile() {
+ emake dumpet
+}
+
+pkg_setup(){
+ tc-export CC
+}